Index: contrib/crossrpms/rtems4.11/arm/rtems-4.11-arm-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/arm/rtems-4.11-arm-rtems4.11-gcc.spec	(revision 423a18d6957151b399366512a6a1c8da1fec72c0)
+++ contrib/crossrpms/rtems4.11/arm/rtems-4.11-arm-rtems4.11-gcc.spec	(revision b2c76e9cdb9626693bdfd4cd7dd59c923f8f4aed)
@@ -71,5 +71,5 @@
 %bcond_with lto
 
-# FIXME: Disamble python gdb scripts
+# FIXME: Disable python gdb scripts
 # ATM, no idea how to package them
 %bcond_with pygdb
@@ -104,11 +104,12 @@
 %endif
 
-%if 0%{?rhel6}
+%if 0%{?el6}
 %global mpc_provided %{nil}
-%global mpfr_provided 2.4.1
+# el6 beta ships mpfr but mpfr-devel is missing
+%global mpfr_provided %{nil}
 %global gmp_provided 4.3.1
 %endif
 
-%if 0%{?rhel5}
+%if 0%{?el5}
 %global mpc_provided %{nil}
 %global mpfr_provided %{nil}
@@ -208,5 +209,5 @@
 %{?fc12:BuildRequires: cloog-ppl-devel >= %cloog_required}
 %{?fc13:BuildRequires: cloog-ppl-devel >= %cloog_required}
-%{?rhel6:BuildRequires: cloog-ppl-devel >= %cloog_required}
+# el6 ships cloog-ppl, but cloog-ppl-devel is missing
 %{?suse11_2:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
 %{?suse11_1:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
@@ -279,5 +280,5 @@
 %if "%{newlib_version}" == "1.18.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/newlib-1.18.0-rtems4.11-20100423.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.18.0-rtems4.10-20100402.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.11/avr/rtems-4.11-avr-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/avr/rtems-4.11-avr-rtems4.11-gcc.spec	(revision 423a18d6957151b399366512a6a1c8da1fec72c0)
+++ contrib/crossrpms/rtems4.11/avr/rtems-4.11-avr-rtems4.11-gcc.spec	(revision b2c76e9cdb9626693bdfd4cd7dd59c923f8f4aed)
@@ -71,5 +71,5 @@
 %bcond_with lto
 
-# FIXME: Disamble python gdb scripts
+# FIXME: Disable python gdb scripts
 # ATM, no idea how to package them
 %bcond_with pygdb
@@ -104,11 +104,12 @@
 %endif
 
-%if 0%{?rhel6}
+%if 0%{?el6}
 %global mpc_provided %{nil}
-%global mpfr_provided 2.4.1
+# el6 beta ships mpfr but mpfr-devel is missing
+%global mpfr_provided %{nil}
 %global gmp_provided 4.3.1
 %endif
 
-%if 0%{?rhel5}
+%if 0%{?el5}
 %global mpc_provided %{nil}
 %global mpfr_provided %{nil}
@@ -208,5 +209,5 @@
 %{?fc12:BuildRequires: cloog-ppl-devel >= %cloog_required}
 %{?fc13:BuildRequires: cloog-ppl-devel >= %cloog_required}
-%{?rhel6:BuildRequires: cloog-ppl-devel >= %cloog_required}
+# el6 ships cloog-ppl, but cloog-ppl-devel is missing
 %{?suse11_2:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
 %{?suse11_1:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
@@ -268,5 +269,5 @@
 %if "%{newlib_version}" == "1.18.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/newlib-1.18.0-rtems4.11-20100423.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.18.0-rtems4.10-20100402.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.11/bfin/rtems-4.11-bfin-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/bfin/rtems-4.11-bfin-rtems4.11-gcc.spec	(revision 423a18d6957151b399366512a6a1c8da1fec72c0)
+++ contrib/crossrpms/rtems4.11/bfin/rtems-4.11-bfin-rtems4.11-gcc.spec	(revision b2c76e9cdb9626693bdfd4cd7dd59c923f8f4aed)
@@ -71,5 +71,5 @@
 %bcond_with lto
 
-# FIXME: Disamble python gdb scripts
+# FIXME: Disable python gdb scripts
 # ATM, no idea how to package them
 %bcond_with pygdb
@@ -104,11 +104,12 @@
 %endif
 
-%if 0%{?rhel6}
+%if 0%{?el6}
 %global mpc_provided %{nil}
-%global mpfr_provided 2.4.1
+# el6 beta ships mpfr but mpfr-devel is missing
+%global mpfr_provided %{nil}
 %global gmp_provided 4.3.1
 %endif
 
-%if 0%{?rhel5}
+%if 0%{?el5}
 %global mpc_provided %{nil}
 %global mpfr_provided %{nil}
@@ -208,5 +209,5 @@
 %{?fc12:BuildRequires: cloog-ppl-devel >= %cloog_required}
 %{?fc13:BuildRequires: cloog-ppl-devel >= %cloog_required}
-%{?rhel6:BuildRequires: cloog-ppl-devel >= %cloog_required}
+# el6 ships cloog-ppl, but cloog-ppl-devel is missing
 %{?suse11_2:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
 %{?suse11_1:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
@@ -279,5 +280,5 @@
 %if "%{newlib_version}" == "1.18.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/newlib-1.18.0-rtems4.11-20100423.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.18.0-rtems4.10-20100402.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.11/h8300/rtems-4.11-h8300-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/h8300/rtems-4.11-h8300-rtems4.11-gcc.spec	(revision 423a18d6957151b399366512a6a1c8da1fec72c0)
+++ contrib/crossrpms/rtems4.11/h8300/rtems-4.11-h8300-rtems4.11-gcc.spec	(revision b2c76e9cdb9626693bdfd4cd7dd59c923f8f4aed)
@@ -71,5 +71,5 @@
 %bcond_with lto
 
-# FIXME: Disamble python gdb scripts
+# FIXME: Disable python gdb scripts
 # ATM, no idea how to package them
 %bcond_with pygdb
@@ -104,11 +104,12 @@
 %endif
 
-%if 0%{?rhel6}
+%if 0%{?el6}
 %global mpc_provided %{nil}
-%global mpfr_provided 2.4.1
+# el6 beta ships mpfr but mpfr-devel is missing
+%global mpfr_provided %{nil}
 %global gmp_provided 4.3.1
 %endif
 
-%if 0%{?rhel5}
+%if 0%{?el5}
 %global mpc_provided %{nil}
 %global mpfr_provided %{nil}
@@ -208,5 +209,5 @@
 %{?fc12:BuildRequires: cloog-ppl-devel >= %cloog_required}
 %{?fc13:BuildRequires: cloog-ppl-devel >= %cloog_required}
-%{?rhel6:BuildRequires: cloog-ppl-devel >= %cloog_required}
+# el6 ships cloog-ppl, but cloog-ppl-devel is missing
 %{?suse11_2:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
 %{?suse11_1:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
@@ -279,5 +280,5 @@
 %if "%{newlib_version}" == "1.18.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/newlib-1.18.0-rtems4.11-20100423.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.18.0-rtems4.10-20100402.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.11/i386/rtems-4.11-i386-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/i386/rtems-4.11-i386-rtems4.11-gcc.spec	(revision 423a18d6957151b399366512a6a1c8da1fec72c0)
+++ contrib/crossrpms/rtems4.11/i386/rtems-4.11-i386-rtems4.11-gcc.spec	(revision b2c76e9cdb9626693bdfd4cd7dd59c923f8f4aed)
@@ -71,5 +71,5 @@
 %bcond_with lto
 
-# FIXME: Disamble python gdb scripts
+# FIXME: Disable python gdb scripts
 # ATM, no idea how to package them
 %bcond_with pygdb
@@ -104,11 +104,12 @@
 %endif
 
-%if 0%{?rhel6}
+%if 0%{?el6}
 %global mpc_provided %{nil}
-%global mpfr_provided 2.4.1
+# el6 beta ships mpfr but mpfr-devel is missing
+%global mpfr_provided %{nil}
 %global gmp_provided 4.3.1
 %endif
 
-%if 0%{?rhel5}
+%if 0%{?el5}
 %global mpc_provided %{nil}
 %global mpfr_provided %{nil}
@@ -208,5 +209,5 @@
 %{?fc12:BuildRequires: cloog-ppl-devel >= %cloog_required}
 %{?fc13:BuildRequires: cloog-ppl-devel >= %cloog_required}
-%{?rhel6:BuildRequires: cloog-ppl-devel >= %cloog_required}
+# el6 ships cloog-ppl, but cloog-ppl-devel is missing
 %{?suse11_2:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
 %{?suse11_1:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
@@ -279,5 +280,5 @@
 %if "%{newlib_version}" == "1.18.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/newlib-1.18.0-rtems4.11-20100423.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.18.0-rtems4.10-20100402.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.11/lm32/rtems-4.11-lm32-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/lm32/rtems-4.11-lm32-rtems4.11-gcc.spec	(revision 423a18d6957151b399366512a6a1c8da1fec72c0)
+++ contrib/crossrpms/rtems4.11/lm32/rtems-4.11-lm32-rtems4.11-gcc.spec	(revision b2c76e9cdb9626693bdfd4cd7dd59c923f8f4aed)
@@ -71,5 +71,5 @@
 %bcond_with lto
 
-# FIXME: Disamble python gdb scripts
+# FIXME: Disable python gdb scripts
 # ATM, no idea how to package them
 %bcond_with pygdb
@@ -104,11 +104,12 @@
 %endif
 
-%if 0%{?rhel6}
+%if 0%{?el6}
 %global mpc_provided %{nil}
-%global mpfr_provided 2.4.1
+# el6 beta ships mpfr but mpfr-devel is missing
+%global mpfr_provided %{nil}
 %global gmp_provided 4.3.1
 %endif
 
-%if 0%{?rhel5}
+%if 0%{?el5}
 %global mpc_provided %{nil}
 %global mpfr_provided %{nil}
@@ -208,5 +209,5 @@
 %{?fc12:BuildRequires: cloog-ppl-devel >= %cloog_required}
 %{?fc13:BuildRequires: cloog-ppl-devel >= %cloog_required}
-%{?rhel6:BuildRequires: cloog-ppl-devel >= %cloog_required}
+# el6 ships cloog-ppl, but cloog-ppl-devel is missing
 %{?suse11_2:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
 %{?suse11_1:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
@@ -279,5 +280,5 @@
 %if "%{newlib_version}" == "1.18.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/newlib-1.18.0-rtems4.11-20100423.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.18.0-rtems4.10-20100402.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.11/m32c/rtems-4.11-m32c-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/m32c/rtems-4.11-m32c-rtems4.11-gcc.spec	(revision 423a18d6957151b399366512a6a1c8da1fec72c0)
+++ contrib/crossrpms/rtems4.11/m32c/rtems-4.11-m32c-rtems4.11-gcc.spec	(revision b2c76e9cdb9626693bdfd4cd7dd59c923f8f4aed)
@@ -71,5 +71,5 @@
 %bcond_with lto
 
-# FIXME: Disamble python gdb scripts
+# FIXME: Disable python gdb scripts
 # ATM, no idea how to package them
 %bcond_with pygdb
@@ -104,11 +104,12 @@
 %endif
 
-%if 0%{?rhel6}
+%if 0%{?el6}
 %global mpc_provided %{nil}
-%global mpfr_provided 2.4.1
+# el6 beta ships mpfr but mpfr-devel is missing
+%global mpfr_provided %{nil}
 %global gmp_provided 4.3.1
 %endif
 
-%if 0%{?rhel5}
+%if 0%{?el5}
 %global mpc_provided %{nil}
 %global mpfr_provided %{nil}
@@ -208,5 +209,5 @@
 %{?fc12:BuildRequires: cloog-ppl-devel >= %cloog_required}
 %{?fc13:BuildRequires: cloog-ppl-devel >= %cloog_required}
-%{?rhel6:BuildRequires: cloog-ppl-devel >= %cloog_required}
+# el6 ships cloog-ppl, but cloog-ppl-devel is missing
 %{?suse11_2:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
 %{?suse11_1:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
@@ -268,5 +269,5 @@
 %if "%{newlib_version}" == "1.18.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/newlib-1.18.0-rtems4.11-20100423.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.18.0-rtems4.10-20100402.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.11/m32r/rtems-4.11-m32r-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/m32r/rtems-4.11-m32r-rtems4.11-gcc.spec	(revision 423a18d6957151b399366512a6a1c8da1fec72c0)
+++ contrib/crossrpms/rtems4.11/m32r/rtems-4.11-m32r-rtems4.11-gcc.spec	(revision b2c76e9cdb9626693bdfd4cd7dd59c923f8f4aed)
@@ -71,5 +71,5 @@
 %bcond_with lto
 
-# FIXME: Disamble python gdb scripts
+# FIXME: Disable python gdb scripts
 # ATM, no idea how to package them
 %bcond_with pygdb
@@ -104,11 +104,12 @@
 %endif
 
-%if 0%{?rhel6}
+%if 0%{?el6}
 %global mpc_provided %{nil}
-%global mpfr_provided 2.4.1
+# el6 beta ships mpfr but mpfr-devel is missing
+%global mpfr_provided %{nil}
 %global gmp_provided 4.3.1
 %endif
 
-%if 0%{?rhel5}
+%if 0%{?el5}
 %global mpc_provided %{nil}
 %global mpfr_provided %{nil}
@@ -208,5 +209,5 @@
 %{?fc12:BuildRequires: cloog-ppl-devel >= %cloog_required}
 %{?fc13:BuildRequires: cloog-ppl-devel >= %cloog_required}
-%{?rhel6:BuildRequires: cloog-ppl-devel >= %cloog_required}
+# el6 ships cloog-ppl, but cloog-ppl-devel is missing
 %{?suse11_2:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
 %{?suse11_1:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
@@ -268,5 +269,5 @@
 %if "%{newlib_version}" == "1.18.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/newlib-1.18.0-rtems4.11-20100423.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.18.0-rtems4.10-20100402.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.11/m68k/rtems-4.11-m68k-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/m68k/rtems-4.11-m68k-rtems4.11-gcc.spec	(revision 423a18d6957151b399366512a6a1c8da1fec72c0)
+++ contrib/crossrpms/rtems4.11/m68k/rtems-4.11-m68k-rtems4.11-gcc.spec	(revision b2c76e9cdb9626693bdfd4cd7dd59c923f8f4aed)
@@ -71,5 +71,5 @@
 %bcond_with lto
 
-# FIXME: Disamble python gdb scripts
+# FIXME: Disable python gdb scripts
 # ATM, no idea how to package them
 %bcond_with pygdb
@@ -104,11 +104,12 @@
 %endif
 
-%if 0%{?rhel6}
+%if 0%{?el6}
 %global mpc_provided %{nil}
-%global mpfr_provided 2.4.1
+# el6 beta ships mpfr but mpfr-devel is missing
+%global mpfr_provided %{nil}
 %global gmp_provided 4.3.1
 %endif
 
-%if 0%{?rhel5}
+%if 0%{?el5}
 %global mpc_provided %{nil}
 %global mpfr_provided %{nil}
@@ -208,5 +209,5 @@
 %{?fc12:BuildRequires: cloog-ppl-devel >= %cloog_required}
 %{?fc13:BuildRequires: cloog-ppl-devel >= %cloog_required}
-%{?rhel6:BuildRequires: cloog-ppl-devel >= %cloog_required}
+# el6 ships cloog-ppl, but cloog-ppl-devel is missing
 %{?suse11_2:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
 %{?suse11_1:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
@@ -279,5 +280,5 @@
 %if "%{newlib_version}" == "1.18.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/newlib-1.18.0-rtems4.11-20100423.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.18.0-rtems4.10-20100402.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.11/mips/rtems-4.11-mips-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/mips/rtems-4.11-mips-rtems4.11-gcc.spec	(revision 423a18d6957151b399366512a6a1c8da1fec72c0)
+++ contrib/crossrpms/rtems4.11/mips/rtems-4.11-mips-rtems4.11-gcc.spec	(revision b2c76e9cdb9626693bdfd4cd7dd59c923f8f4aed)
@@ -71,5 +71,5 @@
 %bcond_with lto
 
-# FIXME: Disamble python gdb scripts
+# FIXME: Disable python gdb scripts
 # ATM, no idea how to package them
 %bcond_with pygdb
@@ -104,11 +104,12 @@
 %endif
 
-%if 0%{?rhel6}
+%if 0%{?el6}
 %global mpc_provided %{nil}
-%global mpfr_provided 2.4.1
+# el6 beta ships mpfr but mpfr-devel is missing
+%global mpfr_provided %{nil}
 %global gmp_provided 4.3.1
 %endif
 
-%if 0%{?rhel5}
+%if 0%{?el5}
 %global mpc_provided %{nil}
 %global mpfr_provided %{nil}
@@ -208,5 +209,5 @@
 %{?fc12:BuildRequires: cloog-ppl-devel >= %cloog_required}
 %{?fc13:BuildRequires: cloog-ppl-devel >= %cloog_required}
-%{?rhel6:BuildRequires: cloog-ppl-devel >= %cloog_required}
+# el6 ships cloog-ppl, but cloog-ppl-devel is missing
 %{?suse11_2:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
 %{?suse11_1:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
@@ -279,5 +280,5 @@
 %if "%{newlib_version}" == "1.18.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/newlib-1.18.0-rtems4.11-20100423.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.18.0-rtems4.10-20100402.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.11/powerpc/rtems-4.11-powerpc-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/powerpc/rtems-4.11-powerpc-rtems4.11-gcc.spec	(revision 423a18d6957151b399366512a6a1c8da1fec72c0)
+++ contrib/crossrpms/rtems4.11/powerpc/rtems-4.11-powerpc-rtems4.11-gcc.spec	(revision b2c76e9cdb9626693bdfd4cd7dd59c923f8f4aed)
@@ -71,5 +71,5 @@
 %bcond_with lto
 
-# FIXME: Disamble python gdb scripts
+# FIXME: Disable python gdb scripts
 # ATM, no idea how to package them
 %bcond_with pygdb
@@ -104,11 +104,12 @@
 %endif
 
-%if 0%{?rhel6}
+%if 0%{?el6}
 %global mpc_provided %{nil}
-%global mpfr_provided 2.4.1
+# el6 beta ships mpfr but mpfr-devel is missing
+%global mpfr_provided %{nil}
 %global gmp_provided 4.3.1
 %endif
 
-%if 0%{?rhel5}
+%if 0%{?el5}
 %global mpc_provided %{nil}
 %global mpfr_provided %{nil}
@@ -208,5 +209,5 @@
 %{?fc12:BuildRequires: cloog-ppl-devel >= %cloog_required}
 %{?fc13:BuildRequires: cloog-ppl-devel >= %cloog_required}
-%{?rhel6:BuildRequires: cloog-ppl-devel >= %cloog_required}
+# el6 ships cloog-ppl, but cloog-ppl-devel is missing
 %{?suse11_2:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
 %{?suse11_1:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
@@ -279,5 +280,5 @@
 %if "%{newlib_version}" == "1.18.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/newlib-1.18.0-rtems4.11-20100423.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.18.0-rtems4.10-20100402.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.11/sh/rtems-4.11-sh-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/sh/rtems-4.11-sh-rtems4.11-gcc.spec	(revision 423a18d6957151b399366512a6a1c8da1fec72c0)
+++ contrib/crossrpms/rtems4.11/sh/rtems-4.11-sh-rtems4.11-gcc.spec	(revision b2c76e9cdb9626693bdfd4cd7dd59c923f8f4aed)
@@ -71,5 +71,5 @@
 %bcond_with lto
 
-# FIXME: Disamble python gdb scripts
+# FIXME: Disable python gdb scripts
 # ATM, no idea how to package them
 %bcond_with pygdb
@@ -104,11 +104,12 @@
 %endif
 
-%if 0%{?rhel6}
+%if 0%{?el6}
 %global mpc_provided %{nil}
-%global mpfr_provided 2.4.1
+# el6 beta ships mpfr but mpfr-devel is missing
+%global mpfr_provided %{nil}
 %global gmp_provided 4.3.1
 %endif
 
-%if 0%{?rhel5}
+%if 0%{?el5}
 %global mpc_provided %{nil}
 %global mpfr_provided %{nil}
@@ -208,5 +209,5 @@
 %{?fc12:BuildRequires: cloog-ppl-devel >= %cloog_required}
 %{?fc13:BuildRequires: cloog-ppl-devel >= %cloog_required}
-%{?rhel6:BuildRequires: cloog-ppl-devel >= %cloog_required}
+# el6 ships cloog-ppl, but cloog-ppl-devel is missing
 %{?suse11_2:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
 %{?suse11_1:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
@@ -279,5 +280,5 @@
 %if "%{newlib_version}" == "1.18.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/newlib-1.18.0-rtems4.11-20100423.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.18.0-rtems4.10-20100402.diff
 %endif
 %{?_without_sources:NoSource:	50}
Index: contrib/crossrpms/rtems4.11/sparc/rtems-4.11-sparc-rtems4.11-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.11/sparc/rtems-4.11-sparc-rtems4.11-gcc.spec	(revision 423a18d6957151b399366512a6a1c8da1fec72c0)
+++ contrib/crossrpms/rtems4.11/sparc/rtems-4.11-sparc-rtems4.11-gcc.spec	(revision b2c76e9cdb9626693bdfd4cd7dd59c923f8f4aed)
@@ -71,5 +71,5 @@
 %bcond_with lto
 
-# FIXME: Disamble python gdb scripts
+# FIXME: Disable python gdb scripts
 # ATM, no idea how to package them
 %bcond_with pygdb
@@ -104,11 +104,12 @@
 %endif
 
-%if 0%{?rhel6}
+%if 0%{?el6}
 %global mpc_provided %{nil}
-%global mpfr_provided 2.4.1
+# el6 beta ships mpfr but mpfr-devel is missing
+%global mpfr_provided %{nil}
 %global gmp_provided 4.3.1
 %endif
 
-%if 0%{?rhel5}
+%if 0%{?el5}
 %global mpc_provided %{nil}
 %global mpfr_provided %{nil}
@@ -208,5 +209,5 @@
 %{?fc12:BuildRequires: cloog-ppl-devel >= %cloog_required}
 %{?fc13:BuildRequires: cloog-ppl-devel >= %cloog_required}
-%{?rhel6:BuildRequires: cloog-ppl-devel >= %cloog_required}
+# el6 ships cloog-ppl, but cloog-ppl-devel is missing
 %{?suse11_2:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
 %{?suse11_1:BuildRequires: cloog-devel >= %cloog_required, ppl-devel}
@@ -279,5 +280,5 @@
 %if "%{newlib_version}" == "1.18.0"
 Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_pkgvers}.tar.gz
-Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/newlib-1.18.0-rtems4.11-20100423.diff
+Patch50:	ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/newlib-1.18.0-rtems4.10-20100402.diff
 %endif
 %{?_without_sources:NoSource:	50}
